Page MenuHomePhabricator

[ARM] Allow the fabs intrinsic to be tail predicated
ClosedPublic

Authored by samtebbs on Jun 25 2020, 8:51 AM.

Details

Summary

This patch stops the fabs intrinsic from blocking tail predication.

Diff Detail

Event Timeline

samtebbs created this revision.Jun 25 2020, 8:51 AM
samtebbs updated this revision to Diff 273394.Jun 25 2020, 8:56 AM
samparker accepted this revision.Jun 29 2020, 12:52 AM

Cheers!

This revision is now accepted and ready to land.Jun 29 2020, 12:52 AM

(This needs to be rebased onto the SubTarget->hasMVEFloatOps way of doing things like the other float intrinsics. Also the test could do with a cleanup :) )

samtebbs updated this revision to Diff 274492.Jun 30 2020, 8:16 AM

Rebase and clean up test

samtebbs updated this revision to Diff 274498.Jun 30 2020, 8:32 AM
This revision was automatically updated to reflect the committed changes.